<?php
App::uses('LiturgicalTimeMusicsController', 'Controller');

/**
 * TestLiturgicalTimeMusicsController *
 */
class TestLiturgicalTimeMusicsController extends LiturgicalTimeMusicsController {
/**
 * Auto render
 *
 * @var boolean
 */
	public $autoRender = false;

/**
 * Redirect action
 *
 * @param mixed $url
 * @param mixed $status
 * @param boolean $exit
 * @return void
 */
	public function redirect($url, $status = null, $exit = true) {
		$this->redirectUrl = $url;
	}
}

/**
 * LiturgicalTimeMusicsController Test Case
 *
 */
class LiturgicalTimeMusicsControllerTestCase extends CakeTestCase {
/**
 * Fixtures
 *
 * @var array
 */
	public $fixtures = array('app.liturgical_time_music', 'app.music', 'app.liturgical_time', 'app.liturgical_time_year', 'app.block', 'app.region', 'app.link', 'app.menu', 'app.setting', 'app.node', 'app.user', 'app.role', 'app.comment', 'app.meta', 'app.taxonomy', 'app.term', 'app.vocabulary', 'app.type', 'app.types_vocabulary', 'app.nodes_taxonomy');

/**
 * setUp method
 *
 * @return void
 */
	public function setUp() {
		parent::setUp();
		$this->LiturgicalTimeMusics = new TestLiturgicalTimeMusicsController();
		$this->LiturgicalTimeMusics->constructClasses();
	}

/**
 * tearDown method
 *
 * @return void
 */
	public function tearDown() {
		unset($this->LiturgicalTimeMusics);

		parent::tearDown();
	}

/**
 * testAdminIndex method
 *
 * @return void
 */
	public function testAdminIndex() {

	}
/**
 * testAdminView method
 *
 * @return void
 */
	public function testAdminView() {

	}
/**
 * testAdminAdd method
 *
 * @return void
 */
	public function testAdminAdd() {

	}
/**
 * testAdminEdit method
 *
 * @return void
 */
	public function testAdminEdit() {

	}
/**
 * testAdminRemove method
 *
 * @return void
 */
	public function testAdminRemove() {

	}
/**
 * testAdminRecover method
 *
 * @return void
 */
	public function testAdminRecover() {

	}
/**
 * testAdminActiveInactive method
 *
 * @return void
 */
	public function testAdminActiveInactive() {

	}
/**
 * testAdminLookup method
 *
 * @return void
 */
	public function testAdminLookup() {

	}
/**
 * testAdminLookupInit method
 *
 * @return void
 */
	public function testAdminLookupInit() {

	}
/**
 * testAdminDefaultSelected method
 *
 * @return void
 */
	public function testAdminDefaultSelected() {

	}
/**
 * testAdminJqueryAdd method
 *
 * @return void
 */
	public function testAdminJqueryAdd() {

	}
/**
 * testListAll method
 *
 * @return void
 */
	public function testListAll() {

	}
}
